/*
 * can_task.hpp
 *
 *  Created on: 10 Dec 2023
 *      Author: Carl
 */

#ifndef INC_TASKS_CANTASK_HPP_
#define INC_TASKS_CANTASK_HPP_

#include <sta/tacos/thread.hpp>
#include <sta/devices/stm32/can.hpp>

namespace demo
{
	class CanTask : public sta::tacos::TacosThread {
	public:
		CanTask(const char* name, CAN_HandleTypeDef * handle);

		void init() override;

		void func() override;

	private:

		uint8_t payload[8];
		sta::STM32CanController canController;
		sta::CanTxHeader txHeader;
	};
} // namespace demo

#endif /* INC_TASKS_CANTASK_HPP_ */
